Subject: Re: bug#38703: installion cannot be cancelled

From: Ludovic Courtès <[email-masked]>
Date: Mon, 30 Dec 2019 19:42:10 +0100

Hi,

Ricardo Wurmus <[email-masked]> skribis:

> When I first tried to install one of the new build servers for
> ci.guix.gnu.org I forgot that the firewall rules prevent these servers
> from accessing ci.guix.gnu.org via its public IP address.  I started the
> installation process and waited …
>
> When I realized that I had to first add the internal IP to /etc/hosts I
> decided to cancel the installation, but no matter from what angle I hit
> Ctrl-C or Ctrl-Z I could not abort the installation — which I hope
> would have eventually timed out.

You mean that Ctrl-C wouldn’t work on the ‘guix system init’ process,
right?  Is that behavior controlled by Newt, Mathieu?

Thanks,
Ludo’.